Module org.apache.sis.util
Package org.apache.sis.util

# Class UnknownNameException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
UnknownNameException

All Implemented Interfaces:
  `Serializable`

public class UnknownNameException extends IllegalArgumentException
Thrown when an operation cannot complete because a given name is unrecognized. The unrecognized name may be a `GenericName`, an `Identifier`, a `String` used as a name or identifier, or any other objects with similar purpose.

Note: in the particular case of objects created from a `Factory`, the exception for unrecognized identifiers is rather `NoSuchIdentifierException`. This `UnknownNameException` differs in being an unchecked exception.

Since:
  0.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnknownNameException()`
  Constructs a new exception with no message.
  `UnknownNameException(String message)`
  Constructs a new exception with the specified detail message.
  `UnknownNameException(String message, Throwable cause)`
  Constructs a new exception with the specified detail message and cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnknownNameException

    public UnknownNameException()
    Constructs a new exception with no message.

  - ### UnknownNameException

    public UnknownNameException(String message)
    Constructs a new exception with the specified detail message.
    Parameters:
      `message` - the detail message, or `null` if none.

  - ### UnknownNameException

    public UnknownNameException(String message, Throwable cause)
    Constructs a new exception with the specified detail message and cause.
    Parameters:
      `message` - the detail message, or `null` if none.
      `cause` - the cause, or `null` if none.